function [names, tokens] = get_files(dir_path, file_regex)

file_list = ls(dir_path);
[m,t] = regexp(file_list,file_regex,'match','tokens');
m_count = numel(m);
names = [];
tokens = [];
if m_count > 0
    names = string(m)';
    t_count = numel(t{1});
    if t_count == 1
        tokens = string(t)';
    else
        tokens = repmat("",m_count,t_count);
        for i = 1:m_count
            for j = 1:t_count
                tokens(i,j) = t{i}{j};
            end
        end
    end
end

end