function n_list = get_frame_numbers(frame_list)

frame_count = numel(frame_list);

n_cell = regexp(frame_list,'(\d+)','match');
n_count = cellfun(@numel,n_cell);
ct_max = max(n_count);

n_list = zeros(frame_count,ct_max)-1;

for i = 1:frame_count
    frame_numbers = str2double(n_cell{i});
    n_list(i,1:numel(frame_numbers)) = frame_numbers;
end

end